OpenCV: cv::TonemapDurand Class Reference

| OpenCV 3.4.2 Open Source Computer Vision

Public Member Functions | List of all members
cv::TonemapDurand Class Referenceabstract
Computational Photography » HDR imaging

This algorithm decomposes image into two layers: base layer and detail layer using bilateral filter and compresses contrast of the base layer thus preserving all the details. More...

`#include "photo.hpp"`

Inheritance diagram for cv::TonemapDurand:

## Public Member Functions
virtual float | getContrast () const =0
virtual float | getSaturation () const =0
virtual float | getSigmaColor () const =0
virtual float | getSigmaSpace () const =0
virtual void | setContrast (float contrast)=0
virtual void | setSaturation (float saturation)=0
virtual void | setSigmaColor (float sigma_color)=0
virtual void | setSigmaSpace (float sigma_space)=0
Public Member Functions inherited from cv::Tonemap
virtual float | getGamma () const =0
virtual void | process (InputArray src, OutputArray dst)=0
| Tonemaps image. More...
virtual void | setGamma (float gamma)=0
Public Member Functions inherited from cv::Algorithm
| Algorithm ()
virtual | ~Algorithm ()
virtual void | clear ()
| Clears the algorithm state. More...
virtual bool | empty () const
| Returns true if the Algorithm is empty (e.g. in the very beginning or after unsuccessful read. More...
virtual String | getDefaultName () const
virtual void | read (const FileNode &fn)
| Reads algorithm parameters from a file storage. More...
virtual void | save (const String &filename) const
virtual void | write (FileStorage &fs) const
| Stores algorithm parameters in a file storage. More...
void | write (const Ptr< FileStorage > &fs, const String &name=String()) const
| simplified API for language bindings This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...

## Additional Inherited Members
Static Public Member Functions inherited from cv::Algorithm
template<typename _Tp >
static Ptr< _Tp > | load (const String &filename, const String &objname=String())
| Loads algorithm from the file. More...
template<typename _Tp >
static Ptr< _Tp > | loadFromString (const String &strModel, const String &objname=String())
| Loads algorithm from a String. More...
template<typename _Tp >
static Ptr< _Tp > | read (const FileNode &fn)
| Reads algorithm from the file node. More...
Protected Member Functions inherited from cv::Algorithm
void | writeFormat (FileStorage &fs) const

## Detailed Description

This algorithm decomposes image into two layers: base layer and detail layer using bilateral filter and compresses contrast of the base layer thus preserving all the details.

This implementation uses regular bilateral filter from opencv.

Saturation enhancement is possible as in ocvTonemapDrago.

For more information see [21] .

## Member Function Documentation

## ◆ getContrast()

virtual float cv::TonemapDurand::getContrast | ( |  | ) | const
| pure virtual

## ◆ getSaturation()

virtual float cv::TonemapDurand::getSaturation | ( |  | ) | const
| pure virtual

## ◆ getSigmaColor()

virtual float cv::TonemapDurand::getSigmaColor | ( |  | ) | const
| pure virtual

## ◆ getSigmaSpace()

virtual float cv::TonemapDurand::getSigmaSpace | ( |  | ) | const
| pure virtual

## ◆ setContrast()

virtual void cv::TonemapDurand::setContrast | ( | float | contrast | ) |
| pure virtual

## ◆ setSaturation()

virtual void cv::TonemapDurand::setSaturation | ( | float | saturation | ) |
| pure virtual

## ◆ setSigmaColor()

virtual void cv::TonemapDurand::setSigmaColor | ( | float | sigma_color | ) |
| pure virtual

## ◆ setSigmaSpace()

virtual void cv::TonemapDurand::setSigmaSpace | ( | float | sigma_space | ) |
| pure virtual

The documentation for this class was generated from the following file:

- photo/include/opencv2/photo.hpp